
%global  framework purpose

Name:    kf5-purpose
Summary: Framework for providing abstractions to get the developer's purposes fulfilled
Version: 1.1
Release: 3%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
# most files LGPLv2+, configuration.cpp is KDE e.V. GPL variant
License: GPLv2 or GPLv3
URL:     https://quickgit.kde.org/?p=%{framework}.git
Source0: http://download.kde.org/stable/purpose/purpose-%{version}.tar.xz

# filter plugin provides
%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: kaccounts-integration-devel
# runtime dep?
BuildRequires: kde-connect
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdeclarative-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: pkgconfig(accounts-qt5)
BuildRequires: pkgconfig(libaccounts-glib)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)

Requires: kf5-filesystem

%description
Purpose offers the possibility to create integrate services and actions on
any application without having to implement them specifically. Purpose will
offer them mechanisms to list the different alternatives to execute given the
requested action type and will facilitate components so that all the plugins
can receive all the information they need.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: cmake(KF5CoreAddons)
%description devel
%{summary}.


%prep
%autosetup -n purpose-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name

## unpackaged files
# omit (unused?) conflicting icons with older kamoso (rename to "google-youtube"?)
rm -fv %{buildroot}%{_datadir}/icons/hicolor/*/actions/kipiplugin_youtube.png


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc README.md
%license COPYING.LIB
%{_kf5_libdir}/libKF5Purpose.so.5*
%{_kf5_libdir}/libKF5PurposeWidgets.so.5*
%{_kf5_libdir}/libReviewboardHelpers.so
%{_kf5_libexecdir}/purposeprocess
%{_kf5_datadir}/purpose/
%{_kf5_qtplugindir}/purpose/
%{_kf5_qmldir}/org/kde/purpose/
%{_kf5_datadir}/accounts/services/kde/google-youtube.service
%{_kf5_datadir}/accounts/services/kde/twitter-microblog.service
%{_kf5_datadir}/kpackage/Purpose/
%{_datadir}/icons/hicolor/*/apps/reviewboard-purpose.*
#{_datadir}/icons/hicolor/*/actions/google-youtube.*

%files devel
%{_kf5_libdir}/libKF5Purpose.so
%{_kf5_libdir}/libKF5PurposeWidgets.so
%{_kf5_includedir}/purpose/
%{_kf5_includedir}/purposewidgets/
%{_kf5_libdir}/cmake/KDEExperimentalPurpose/


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 02 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.1-2
- filter plugin provides

* Thu Jun 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 1.1-1
- 1.1, update URL

* Thu Feb 18 2016 Rex Dieter <rdieter@fedoraproject.org> 1.0-5
- -BR: cmake

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Rex Dieter <rdieter@fedoraproject.org> 1.0-3
- omit unused/conflicting kipiplugin_youtube icons

* Wed Dec 30 2015 Rex Dieter <rdieter@fedoraproject.org> 1.0-2
- update URL, Source

* Mon Sep 28 2015 Rex Dieter <rdieter@fedoraproject.org>  1.0-1
- first try

